import Vue from 'vue';
import VueRouter from 'vue-router';
Vue.use(VueRouter);

const routes = [
  {
    path:'/',
    component: () => import('@/components/index.vue'),
  },
  {
    path: '/cmh/1',
    name: '猜盲盒',
    component: () => import('@/components/cmh/theme-1/index.vue'),
  },
  {
    path: '/cmh/1/rule',
    component: () => import('@/components/cmh/theme-1/rule.vue'),
    name: '游戏规则'
  },
  {
    path: '/cmh/1/my-reward',
    component: () => import('@/components/cmh/theme-1/my-reward.vue'),
    name: '我的奖品'
  },
  {
    path: '/cmh/1/support',
    component: () => import('@/components/cmh/theme-1/support.vue'),
    name: '助力拆盲盒'
  },


  {
    path: '/cmh/2',
    name: '猜盲盒',
    component: () => import('@/components/cmh/theme-2/index.vue'),
  },
  {
    path: '/cmh/2/rule',
    component: () => import('@/components/cmh/theme-2/rule.vue'),
    name: '游戏规则'
  },
  {
    path: '/cmh/2/my-reward',
    component: () => import('@/components/cmh/theme-2/my-reward.vue'),
    name: '我的奖品'
  },
  {
    path: '/cmh/2/support',
    component: () => import('@/components/cmh/theme-2/support.vue'),
    name: '助力拆盲盒'
  },




  {
    path: '/cmh/3',
    name: '猜盲盒',
    component: () => import('@/components/cmh/theme-3/index.vue'),
  },
  {
    path: '/cmh/3/rule',
    component: () => import('@/components/cmh/theme-3/rule.vue'),
    name: '游戏规则'
  },
  {
    path: '/cmh/3/my-reward',
    component: () => import('@/components/cmh/theme-3/my-reward.vue'),
    name: '我的奖品'
  },
  {
    path: '/cmh/3/support',
    component: () => import('@/components/cmh/theme-3/support.vue'),
    name: '助力拆盲盒'
  },

];




const router = new VueRouter({
  base: '/',
  routes,
});

export default router;
